Page MenuHome

Grease Pencil Pixelate scale gets wonky.
Closed, InvalidPublicBUG

Description

System Information
Operating system: Windows-10-10.0.18362 64 Bits
Graphics card: GeForce GTX 1080/PCIe/SSE2 NVIDIA Corporation 4.5.0 NVIDIA 430.86

Blender Version
Broken: version: 2.81 (sub 8), branch: master, commit date: 2019-09-07 20:51, hash: rB4764362ebb91
Worked: (optional)

Short description of error

I've included the blender file as an attachment. Basically there are too grease pencil objects, and the other one has a pixelate effect. When the camera gets really close to the object, the pixelation scale breaks. I've showcased this with a camera that has keyframes at frame 1 and 60.
Here's a screenshot:

Event Timeline

I can not reproduce with new file in latest build.

@Ilari Männistö (Lattapotta) Is this still an issue with latest build? https://builder.blender.org/download/

@Richard Antalik (ISS) I think it still persists. Here's 2 comparison pictures.



Both pictures show the same grease pencil object, but in the first one, the pixels are considerably larger (not 5px by 5px in size).
I'll share try to share a gif if I can.

This is the version I used:

Here's the file I tested with.

Richard Antalik (ISS) reopened this task as Confirmed.Jan 12 2020, 4:24 AM

Ok I can reproduce this.

Even if I move camera towards the GP object, pixel size is not absolute, so this is most likely bug.

Bastien Montagne (mont29) changed the subtype of this task from "Report" to "Bug".Jan 15 2020, 4:56 PM
Richard Antalik (ISS) closed this task as Invalid.Jan 15 2020, 5:05 PM

I have accidentally re-opened this report after it was merged with T66293: GPencil: Redesign Blend modes and cleanup Drawing Engine, so I will close again.